#version 420

in vec4 position;
in vec3 normal;
in vec2 texture;

uniform mat4 mvp;
uniform mat4 lightMVP1;
uniform mat4 lightMVP2;
uniform mat4 lightMVP3;
uniform mat4 lightMVP4;

out vec2 uv;
out vec4 smCoords[4];

void main()
{
	gl_Position = mvp * position;
	smCoords[0] = lightMVP1 * position;
	smCoords[1] = lightMVP2 * position;
	smCoords[2] = lightMVP3 * position;
	smCoords[3] = lightMVP4 * position;
	uv = texture;
}